/********************************************************************
 FileName:     	HardwareProfile_SHSSuncom.h
 Dependencies:  See INCLUDES section
 Processor:     PIC18 USB Microcontrollers
 Hardware:      PICDEM FSUSB populated with PIC18F45K50
 Compiler:      Microchip C18
 Company:       Microchip Technology, Inc.
 
 Hardware profile for SHS Suncom PCB kit

********************************************************************
 File Description:

 Change History:
  Rev   Date         Description
  2.9f  06/25/2012   Initial release
********************************************************************/

// definitions for USB Stack
#ifndef HARDWARE_PROFILE_SHSSUNCOM_H
#define HARDWARE_PROFILE_SHSSUNCOM_H

#define self_power          1

//Uncomment the following line to make the output HEX of this  
//  project work with the MCHPUSB Bootloader    
//#define PROGRAMMABLE_WITH_USB_MCHPUSB_BOOTLOADER
	
//Uncomment the following line to make the output HEX of this 
//  project work with the HID Bootloader
//#define PROGRAMMABLE_WITH_USB_HID_BOOTLOADER		

#define PIC18F45K50_FAMILY
#define CLOCK_FREQ 48000000

/** LEDS ************************************************************/
#define mInitAllLEDs()      {LATB &= 0xCF; TRISB &= 0xCF; LATA &= 0x3F; TRISA &= 0x3F;} 
  
#define mLED_1              LATBbits.LATB4
#define mLED_2              LATBbits.LATB5
#define mLED_3              LATAbits.LATA6
#define mLED_4              LATAbits.LATA7
    
/** SWITCH *********************************************************/
#define mInitAllSwitches()  {TRISB |= 0x0F; TRISAbits.TRISA4 = 1;}
#define sw1                 PORTBbits.RB0
#define sw2                 PORTBbits.RB1
#define sw3                 PORTBbits.RB2
#define sw4                 PORTBbits.RB3
#define baseButtons			PORTB
#define swmain				PORTAbits.RA4
    
/** AD ************************************************************/
#define mInitAD()          {TRISA |= 0x0F; ANSELA |= 0x0F;}
#define ADCHAN0   ADC_CH0
#define ADCHAN1   ADC_CH1
#define ADCHAN2   ADC_CH2
#define ADCHAN3   ADC_CH3

/** GRIP BUTTONS COMM *********************************************/
#define mInitComm()          {LATC &= 0xFC; TRISC &= 0xFC; TRISCbits.TRISC2 = 1;}
#define GBCLK   LATCbits.LATC0
#define GBSTART LATCbits.LATC1
#define GBDAT   PORTCbits.RC2

#endif  //HARDWARE_PROFILE_PIC18F25K50_H
